import pandas as pd
import re
with open("daltons.txt") as f:
    txt = f.readlines()
dat = [name for name in txt if not re.search("^%", name)]
field_list = [ln.strip().split(",") for ln in dat]
from assign_fields import assign_fields
standard_fields = [assign_fields(ln) for ln in field_list]
colnames = ['name', 'birth', 'death']
daltons = pd.DataFrame(standard_fields, columns=colnames)
daltons.birth = daltons.birth.convert_objects(convert_numeric=True)
daltons.death = daltons.death.convert_objects(convert_numeric=True)
print("Daltons")
print(daltons)
print('\nInfo')
print(daltons.info())